Payout APIs
Fetch Balance
Fetch Account Balances
GET
Available in🇮🇳 India🇺🇸 United States
Use this endpoint to retrieve the balances of all accounts.
Query Parameters
string
Filters account based on type. Possible values are
current_account or razorpayx_lite. The parameter is case sensitive.current_account: Current Accounts and Escrow Accountsrazorpayx_lite: RazorpayX Lite Accounts
string
Filters based on bank name. This should be the first four characters of IFSC for any bank.
For example,
RATNor YESB. The parameter is case sensitive.integer
Number of accounts to be fetched based on the most recently refreshed balance.
This can be used for pagination, in combination with skip.
- Default value :
10 - Maximum value :
100
integer
Numbers of balances to be skipped. This can be used for pagination, in combination with count.
Default value is
0.Response Parameters
string
The entity being returned. For example,
banking_balance.integer
Count of items being returned. For example
2.object
Array of all accounts and their balances.
string
Returns the currency in which the balance amount is relayed. For example,
INR.long
The total INR balance amount in paise. For example,
6358629.string
Associated account number. For example,
123456789281.string
Returns associated account type. For example,
current_account.string
Returns the full name of the bank.
For example
YESB.string
Returns bank code. This will be the first four characters of IFSC for any bank.
For example
YESB.long
The latest timestamp of Razorpay fetching balance from the bank in epoch format. For example
1729847660.long
The net withdrawable INR balance amount in paise. This will deduct any lien balance and include any OD balance on the account. For example,
6358629.Errors
`The selected account type is invalid`
`The selected account type is invalid`
Code:
400Query parameter account_type is incorrectly passed.Solution: Enter the account_type as current_account or razorpayx_lite only. The query parameter is case sensitive.`Invalid channel name: rbl`
`Invalid channel name: rbl`
Code:
400Query parameter bank_code is incorrectly passed.Solution: Enter the bank_code in the correct format. This should be the first four characters of IFSC for any bank, and is case sensitive.`The count may not be greater than 100`
`The count may not be greater than 100`
Code:
400The count passed in the query parameter is greater than 100.Solution: The maximum value that can be passed here is 100.`The count must be an integer`
`The count must be an integer`
Code:
400The count passed in the query parameter is not an integerSolution: Enter only integer values.`Authentication failed`
`Authentication failed`
Code:
401Incorrect Key or Secret.Solution: Enter the correct Key and Secret as per the request body.`Throttling Error`
`Throttling Error`
Code:
429The server is processing too many requests at once and is unable to process your request.Solution: Retry the request after some time.`We are facing some trouble completing your request at the moment. Please try again shortly.`
`We are facing some trouble completing your request at the moment. Please try again shortly.`
Code:
500Internal Server Error. The server has encountered a situation it does not know how to handle.Solution: Retry the request after some time.`Bad Gateway`
`Bad Gateway`
Code:
502The server got an invalid response while working as a gateway to get a response needed to handle the request.Solution: Retry the request after some time.`Gateway Timeout`
`Gateway Timeout`
Code:
504This error response is given when the server acts as a gateway and cannot get a timely response.Solution: Retry the request after some time.